Get impulse blocks
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/all-blocks \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/all-blocks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/all-blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"input": [
{
"type": "<string>",
"title": "<string>",
"author": "<string>",
"description": "<string>",
"name": "<string>",
"recommended": true,
"organizationModelId": 123,
"params": {},
"defaultConfig": {},
"variants": {}
}
],
"dsp": [
{
"type": "<string>",
"title": "<string>",
"author": "<string>",
"description": "<string>",
"name": "<string>",
"recommended": true,
"organizationModelId": 123,
"params": {},
"defaultConfig": {},
"variants": {}
}
],
"learn": [
{
"type": "<string>",
"title": "<string>",
"author": "<string>",
"description": "<string>",
"name": "<string>",
"recommended": true,
"organizationModelId": 123,
"params": {},
"defaultConfig": {},
"variants": {}
}
],
"error": "<string>"
}Get impulse blocks
Lists all possible blocks that can be used in the impulse, including any additional information required by the EON tuner that the getImpulseBlocks endpoint does not return
GET
/
api
/
{projectId}
/
optimize
/
all-blocks
Get impulse blocks
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Was this page helpful?
⌘I